Skip to main content
POST
/
projects
/
{project_id}
/
user-access
Error
A valid request URL is required to generate request examples
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

The ID of the project.

Body

application/json
user_id
string
required

ID of the user.

permissions
enum<string>[]
required

An array of project permissions.

Available options:
admin,
viewer,
development:admin,
development:contributor,
development:viewer,
staging:admin,
staging:contributor,
staging:viewer,
production:admin,
production:contributor,
production:viewer
auto_add_member
boolean

If the specified user is not a member of the project's organization, add it automatically.

Response

No Content

Last modified on March 25, 2026